.loading
  position: relative
  background-color: #e2e2e2
  min-width: 100px
  min-height: 20px

  &::after
    display: block
    content: ""
    position: absolute
    width: 100%
    height: 100%
    transform: translateX(-100%)
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, 0.5), transparent)
    animation: loading 1s infinite

@keyframes loading
  100%
    transform: translateX(100%)